javax.faces.view.facelets

## Class BehaviorHandler

- java.lang.Object
- - javax.faces.view.facelets.TagHandler
  - - javax.faces.view.facelets.MetaTagHandler
    - - javax.faces.view.facelets.DelegatingMetaTagHandler
      - - javax.faces.view.facelets.FaceletsAttachedObjectHandler
        - - javax.faces.view.facelets.BehaviorHandler

- All Implemented Interfaces:
    AttachedObjectHandler, BehaviorHolderAttachedObjectHandler, FaceletHandler

      public class BehaviorHandler
      extends FaceletsAttachedObjectHandler
      implements BehaviorHolderAttachedObjectHandler

  The `FaceletHandler` that corresponds to attached objects that represent an instance of `ClientBehavior` that must be added to the parent component, which must implement `ClientBehaviorHolder`, with a call to `ClientBehaviorHolder.addClientBehavior(java.lang.String, javax.faces.component.behavior.ClientBehavior)`. The current specification defines one Facelet element for this sort of attached object, `<f:ajax>`.

- - ### Field Summary

    - ### Fields inherited from class javax.faces.view.facelets.DelegatingMetaTagHandler

      `delegateFactory`

    - ### Fields inherited from class javax.faces.view.facelets.TagHandler

      `nextHandler, tag, tagId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BehaviorHandler(BehaviorConfig config)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBehaviorId()`
    `TagAttribute` | `getEvent()`
    `String` | `getEventName()` Return the client event name to which this behavior applies.
    `protected TagHandlerDelegate` | `getTagHandlerDelegate()`

    - ### Methods inherited from class javax.faces.view.facelets.FaceletsAttachedObjectHandler

      `applyAttachedObject, getAttachedObjectHandlerHelper, getFor`

    - ### Methods inherited from class javax.faces.view.facelets.DelegatingMetaTagHandler

      `apply, applyNextHandler, createMetaRuleset, getBinding, getTag, getTagAttribute, getTagId, isDisabled, setAttributes`

    - ### Methods inherited from class javax.faces.view.facelets.TagHandler

      `getAttribute, getRequiredAttribute, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.view.AttachedObjectHandler

      `applyAttachedObject, getFor`

- - ### Constructor Detail

    - #### BehaviorHandler

          public BehaviorHandler(BehaviorConfig config)

  - ### Method Detail

    - #### getEvent

          public TagAttribute getEvent()

    - #### getEventName

          public String getEventName()

      Description copied from interface: `BehaviorHolderAttachedObjectHandler`

      Return the client event name to which this behavior applies.

      Specified by:
        `getEventName` in interface `BehaviorHolderAttachedObjectHandler`

    - #### getTagHandlerDelegate

          protected TagHandlerDelegate getTagHandlerDelegate()

      Specified by:
        `getTagHandlerDelegate` in class `DelegatingMetaTagHandler`

    - #### getBehaviorId

          public String getBehaviorId()

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.